In order to align with industry best practices for security and data integrity, SEI has proactively disabled TLSv1.0 for all web based solutions.

If you are seeing this message, please follow the steps below to enable your browser to use TLSv1.2. This will restore your connectivity to this site.

Internet Explorer (IE) 9, 10, 11

To enable TLS 1.2 the desktop in IE 9, 10, or 11, you must open IE and follow the steps below:

  1. Click on "Tools" in the top menu bar of the IE browser
  2. Click on "Internet Options"
  3. Click on the "Advanced" tab within the Internet Options window
  4. Scroll down in the "Advanced" tab and select the "TLS 1.2" checkbox
  5. Click "Apply" in the Internet Options tab

Firefox

Install Firefox 27 or higher.

Safari

Install Safari versions 7 or higher for OS X 10.9 (Mavericks) and higher.

Chrome

Install Google Chrome 38 or higher.

Opera

Install Opera version 34 or higher.